
package com.mobinil.eaidev.meai_onlineservices.webservices.edistribution.expaymentseligibilitywsdl;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "EXpaymentsEligibilityWSDL_PortType", targetNamespace = "http://eaidev.mobinil.com/MEAI_OnlineServices/webServices/EDistribution/EXpaymentsEligibilityWSDL")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface EXpaymentsEligibilityWSDLPortType {


    /**
     * 
     * @param eXpaymentsEligibilityInput
     * @param logId
     * @return
     *     returns com.mobinil.eaidev.meai_onlineservices.webservices.edistribution.expaymentseligibilitywsdl.EXpaymentsEligibilityOutput
     */
    @WebMethod(operationName = "EXpaymentsEligibility", action = "MEAI_OnlineServices_webServices_EDistribution_EXpaymentsEligibilityWSDL_Binder_EXpaymentsEligibility")
    @WebResult(name = "EXpaymentsEligibility_Output", targetNamespace = "")
    @RequestWrapper(localName = "EXpaymentsEligibility", targetNamespace = "http://eaidev.mobinil.com/MEAI_OnlineServices/webServices/EDistribution/EXpaymentsEligibilityWSDL", className = "com.mobinil.eaidev.meai_onlineservices.webservices.edistribution.expaymentseligibilitywsdl.EXpaymentsEligibility")
    @ResponseWrapper(localName = "EXpaymentsEligibilityResponse", targetNamespace = "http://eaidev.mobinil.com/MEAI_OnlineServices/webServices/EDistribution/EXpaymentsEligibilityWSDL", className = "com.mobinil.eaidev.meai_onlineservices.webservices.edistribution.expaymentseligibilitywsdl.EXpaymentsEligibilityResponse")
    public EXpaymentsEligibilityOutput eXpaymentsEligibility(
        @WebParam(name = "EXpaymentsEligibility_Input", targetNamespace = "")
        EXpaymentsEligibilityInput eXpaymentsEligibilityInput,
        @WebParam(name = "logId", targetNamespace = "")
        String logId);

}
